> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Line Item Groups

> List all Line Item Groups



## OpenAPI

````yaml invoices.latest.product.live GET /invoices/{invoice}/line-item-groups
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Invoices
  - name: Credit Note Line Items
  - name: Invoice Line Items
  - name: Invoice Settings
  - name: Credit Notes
paths:
  /invoices/{invoice}/line-item-groups:
    servers: []
    parameters: []
    get:
      tags:
        - Invoice Line Items
      summary: List all Line Item Groups
      description: List all Line Item Groups
      operationId: getInvoicesByInvoiceLineItemGroups
      parameters:
        - name: invoice
          in: path
          description: The Invoice ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
            format: int32
        - name: sortOrder
          in: query
          description: >-
            Sort order. Default: DESC (descending, most often used for reverse
            chronological sorting).
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListLineItemGroupEndpointProductListLineItemGroupPaginatedResponseModel
                example:
                  items:
                    - id: 941272d1-f840-4e16-b698-0cd455c81e0e
                      invoiceId: cd11218d-fa00-4faa-8684-a43113d076a8
                      title: Cars
                      description: Charges for cars
                      index: 1
                      netTotal: '200000'
                      totalTax: '10'
                      grossTotal: '22000'
                      taxCategory:
                        id: 28227c88-6dba-455f-9b30-b9c76957e610
                        name: VAT
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                ListLineItemGroupEndpointProductListLineItemGroupPaginatedResponseModel:
                  summary: ''
                  value:
                    items:
                      - id: 941272d1-f840-4e16-b698-0cd455c81e0e
                        invoiceId: cd11218d-fa00-4faa-8684-a43113d076a8
                        title: Cars
                        description: Charges for cars
                        index: 1
                        netTotal: '200000'
                        totalTax: '10'
                        grossTotal: '22000'
                        taxCategory:
                          id: 28227c88-6dba-455f-9b30-b9c76957e610
                          name: VAT
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListLineItemGroupEndpointProductListLineItemGroupPaginatedResponseModel:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: 941272d1-f840-4e16-b698-0cd455c81e0e
            invoiceId: cd11218d-fa00-4faa-8684-a43113d076a8
            title: Cars
            description: Charges for cars
            index: 1
            netTotal: '200000'
            totalTax: '10'
            grossTotal: '22000'
            taxCategory:
              id: 28227c88-6dba-455f-9b30-b9c76957e610
              name: VAT
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: LineItemGroups
          example:
            - id: 941272d1-f840-4e16-b698-0cd455c81e0e
              invoiceId: cd11218d-fa00-4faa-8684-a43113d076a8
              title: Cars
              description: Charges for cars
              index: 1
              netTotal: '200000'
              totalTax: '10'
              grossTotal: '22000'
              taxCategory:
                id: 28227c88-6dba-455f-9b30-b9c76957e610
                name: VAT
          items:
            $ref: '#/components/schemas/LineItemGroupResponseModel'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    LineItemGroupResponseModel:
      required:
        - grossTotal
        - id
        - index
        - invoiceId
        - netTotal
        - title
        - totalTax
      type: object
      example:
        id: 941272d1-f840-4e16-b698-0cd455c81e0e
        invoiceId: cd11218d-fa00-4faa-8684-a43113d076a8
        title: Cars
        description: Charges for cars
        index: 1
        netTotal: '200000'
        totalTax: '10'
        grossTotal: '22000'
        taxCategory:
          id: 28227c88-6dba-455f-9b30-b9c76957e610
          name: VAT
      properties:
        id:
          type: string
          description: Line Item Group ID
          example: 941272d1-f840-4e16-b698-0cd455c81e0e
        invoiceId:
          type: string
          description: Invoice ID
          example: cd11218d-fa00-4faa-8684-a43113d076a8
        title:
          type: string
          description: Line Item Group Title
          example: Cars
        description:
          type: string
          description: Line Item Group Description
          example: Charges for cars
        index:
          type: integer
          description: Index (for maintaining order)
          example: 1
        netTotal:
          type: string
          description: Net total, in decimal format of the Invoice's currency
          example: '200000'
        totalTax:
          type: string
          description: Total tax, in decimal format of the Invoice's currency
          example: '10'
        grossTotal:
          type: string
          description: Gross total, in decimal format of the Invoice's currency
          example: '22000'
        taxCategory:
          $ref: '#/components/schemas/TaxCategoryResponse'
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10
    TaxCategoryResponse:
      required:
        - id
        - name
      type: object
      description: The tax category for all line items in this line item group
      example:
        id: 28227c88-6dba-455f-9b30-b9c76957e610
        name: VAT
      properties:
        id:
          type: string
          description: Tax Category ID
          example: 28227c88-6dba-455f-9b30-b9c76957e610
        name:
          type: string
          description: Tax Category name
          example: VAT

````